Skip to content

AgentsController_list

GET
/api/agents
curl --request GET \
--url 'https://api.streams-ai.com/api/agents?type=custom_webhook&scope=mine&sort=name&direction=asc'
cursor
string
>= 1 characters
limit
integer
>= 1 <= 100
q
string
<= 100 characters
owner
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
type
string
Allowed values: custom_webhook custom_token_only claude mistral elevenlabs copilot_studio cursor monday sphera platform
scope
string
Allowed values: mine others
sort
string
default: name
Allowed values: name owner type createdAt
direction
string
default: asc
Allowed values: asc desc